petsc-3.6.2 2015-10-02
Report Typos and Errors

# PCSPAISetMaxNew

set maximum number of new nonzero candidates per step in SPAI preconditioner

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCSPAISetMaxNew(PC pc,int maxnew1)

### Input Parameters

| pc | - the preconditioner
| n | - maximum number (default 5)

### See Also

PCSPAI, PCSetType(), PCSPAISetNBSteps()

Level:intermediate
Location:src/ksp/pc/impls/spai/ispai.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages